Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83938 - openldap-2.0.27-2.7.3 breaks ldap_getfirstfilter()
Summary: openldap-2.0.27-2.7.3 breaks ldap_getfirstfilter()
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openldap
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-10 11:48 UTC by Kenn Humborg
Modified: 2015-01-08 00:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-02 11:34:14 UTC


Attachments (Terms of Use)

Description Kenn Humborg 2003-02-10 11:48:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1) Gecko/20020826

Description of problem:

After upgrading to the openldap-2.0.27-2.7.3, 
my web500gw web-to-ldap gateway broke.

Some investigation suggests that the call
to ldap_getfirstfilter() fails here:

    /* try all filters til we have success */
    for (fi = ldap_getfirstfilter(r->r_access->a_filtd, filtertype, search_filter);
        fi != NULL; fi = ldap_getnextfilter(r->r_access->a_filtd)) {

A printf("got here") shows that we get to the line before,
but we never get either into the body of the for-loop, nor
do we get to the code after the end of the loop.

The main web500gw process catches a child signal at this point, 
and HTML output stops.

I'll try and find time to play with this a bit more, but
right now I've had to rollback to openldap-2.0.23-4, with
all its attendent security problems :-(

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Don't have a simple test case yet.

Additional info:

Comment 1 Kenn Humborg 2003-02-27 18:07:46 UTC
ldap_getfirstfilter() and friends are obsoleted anyway
(and are removed completely in OpenLDAP 2.1.x).  So
there's no point in worrying about this anymore.

I've fixed my immediate problem by statically linking
web500gw against OpenLDAP 2.0.23.

You can resolve this as WONTFIX or whatever is most appropriate.


Note You need to log in before you can comment on or make changes to this bug.